Skip to main content

Script endpoints

info

these are endpoints relating to scripts


Getting script info

GET /scripts/:script_id

Parameters

NameTypeDescription
script_idStringThe scripts id

Response

{
"success": true,
"script": {
"id": "SCRIPT_ID",
"project_id": "PROJECT_ID",
"name": "SCRIPT_NAME",
"free_for_all": false,
"use_heartbeat": true,
"kick_outdated": false,
"require_sessions": false,
"enabled": true,
"total_executions": 0,
"total_sessions": 0,
"total_instances": 0
}
}

Getting executions

GET /scripts/:script_id/executions

Parameters

NameTypeDescription
script_idStringThe scripts id

Response

{
"success": true,
"executions": { "01/01": 0 }
}

Editing a script

POST /scripts/:script_id/edit

Parameters

NameTypeDescription
script_idStringThe scripts id

Body

NameTypeNullableDescription
nameStringName for the script
free_for_allBooleanAllow users to execute without a key
use_heartbeatBooleanContinue to check users after initial verification
kick_outdatedBooleanKick users using old version of the script
require_sessionsBooleanPrevent users without WebSockets to use the script

Response

{ "success": true }

Deleting a script

POST /scripts/:script_id/remove

Parameters

NameTypeDescription
script_idStringThe scripts id

Response

{ "success": true }

Updating a script

POST /scripts/:script_id/update

Parameters

NameTypeDescription
script_idStringThe scripts id

Body

NameTypeNullableDescription
scriptStringthe source code of the script

Response

{ "success": true }

Toggling a script

POST /scripts/:script_id/toggle

Parameters

NameTypeDescription
script_idStringThe scripts id

Body

NameTypeNullableDescription
stateBooleanscript enabled state

Response

{ "success": true }

Getting sessions

POST /scripts/:script_id/sessions

Parameters

NameTypeDescription
script_idStringThe scripts id

Body

NameTypeNullableDescription
fromNumberStart index for list
limitNumberAmount of sessions to return

Response

{
"success": true,
"sessions": [{
"id": "SESSION_ID",
"user_key": "USER_KEY",
"script_id": "SCRIPT_ID",
"roblox_id": 10234711811,
"place_id": 606849621,
"job_id": "JOB_ID",
"created_at": 1770624500000
}]
}

Filtering sessions

GET /scripts/:script_id/sessions/filter

Parameters

NameTypeDescription
script_idStringThe scripts id

Queries

NameTypeNullableDescription
fromNumberStart index for list
limitNumberAmount of sessions to return
keyStringUser key session must have
roblox_idStringRoblox id of the session
place_idStringPlace id session must be in
job_idStringJob id session must be in

Response

{
"success": true,
"sessions": [{
"id": "SESSION_ID",
"user_key": "USER_KEY",
"script_id": "SCRIPT_ID",
"roblox_id": 10234711811,
"place_id": 606849621,
"job_id": "JOB_ID",
"created_at": 1770624500000
}]
}